VisualEditor: Links should follow the local CSS rules as if they were rendered in the view mode (e.g. external links shown with the external icon)
Closed, ResolvedPublic

Description

This sounds to me like it might be hideously complicated, but putting it in here - e.g. a link to [http://foo.com] gets an external link notification icon on its right on the English Wikipedia, and this should show up as appropriate.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=33084
https://bugzilla.wikimedia.org/show_bug.cgi?id=37901

bzimport set Reference to bz38726.
Jdforrester-WMF created this task.Via LegacyJul 26 2012, 7:27 PM
jayvdb added a comment.Via ConduitJul 12 2013, 11:29 PM

Applying the same CSS may be difficult, but internal vs external links should be rendered differently somehow.

gerritbot added a comment.Via ConduitApr 30 2014, 11:52 PM

Change 130769 had a related patch set uploaded by Jforrester:
Style external links and their suggestions with the right color

https://gerrit.wikimedia.org/r/130769

gerritbot added a comment.Via ConduitMay 1 2014, 12:26 AM

Change 130769 merged by jenkins-bot:
Style external links and their suggestions with the right color

https://gerrit.wikimedia.org/r/130769

Ryasmeen added a comment.Via ConduitMay 6 2014, 8:05 PM

Verified the fix in Betalabs and test2

Ryasmeen added a comment.Via ConduitMay 13 2014, 8:19 PM

Verified the fix in production

Spinningspark added a comment.Via ConduitAug 11 2014, 1:33 PM

I'm not seeing this as entirely fixed. The redlink issue has been fixed but there are still other colour issues:

  • Visited redlinks are not shown in the visited redlink colour, they are shown in the redlink colour.
  • External links are not shown in the external links colour, they are shown in the internal links colour.
  • Link icons are omitted: external, secure, pdf etc.

The raison d'etre of VE is that it is WYSIWYG while editing. Not having links in the right colour defeats this and can lead to mistakes.

Catrope added a comment.Via ConduitAug 13 2014, 1:24 AM

(In reply to Spinningspark from comment #6)

I'm not seeing this as entirely fixed. The redlink issue has been fixed but
there are still other colour issues:

  • Visited redlinks are not shown in the visited redlink colour, they are shown in the redlink colour.
  • External links are not shown in the external links colour, they are shown in the internal links colour.
  • Link icons are omitted: external, secure, pdf etc.

This caught my attention because external link icons have been working for me for a while. Turns out they work in Vector but not in Monobook. This appears to be a bug in Monobook, it's scoping link icon CSS to the wrong div (#bodyContent instead of #content).

gerritbot added a comment.Via ConduitAug 13 2014, 1:29 AM

Change 153740 had a related patch set uploaded by Catrope:
Scope external link styling rules to #content rather than #bodyContent

https://gerrit.wikimedia.org/r/153740

gerritbot added a comment.Via ConduitAug 15 2014, 10:54 PM

Change 153740 abandoned by Catrope:
Scope external link styling rules to #content rather than #bodyContent

Reason:
Yeah, that looks much better, thanks guys.

https://gerrit.wikimedia.org/r/153740

gerritbot added a comment.Via ConduitAug 16 2014, 2:52 PM

Change 151395 had a related patch set uploaded by Jforrester:
Use .mw-body in skins

https://gerrit.wikimedia.org/r/151395

gerritbot added a comment.Via ConduitSep 1 2014, 8:30 PM

Change 151395 merged by jenkins-bot:
Use .mw-body in skins

https://gerrit.wikimedia.org/r/151395

Jdforrester-WMF added a comment.Via ConduitSep 1 2014, 10:15 PM

Marking this back as FIXED (as it has been fixed in Vector for a while).

Add Comment